# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-zfec
%global libname zfec

Name:           python-module-zfec
Version:        1.4.22
Release:        alt1_4
Summary:        A fast erasure codec with python bindings

Group:          Development/Tools
License:        GPLv2+
URL:            http://allmydata.org/trac/%{libname}
Source0:        http://pypi.python.org/packages/source/z/%{libname}/%{libname}-%{version}.tar.gz
Patch0:         zfec-fix-setup.patch

BuildRequires:  python-devel python-module-setuptools python-module-pyutil python-module-setuptools_trial
Requires:       python-module-pyutil
Source44: import.info

%description
Fast, portable, programmable erasure coding a.k.a. "forward error correction":
the generation of redundant blocks of information such that if some blocks are
lost then the original data can be recovered from the remaining blocks.


%prep
%setup -q -n %{libname}-%{version}

# argparse is in the stdlib in python 2.7, upstream bug #9:
%patch0 -p1
rm -rf *.egg
rm -rf *.egg-info


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_docdir}/%{libname}
find %{buildroot} -name *.c -exec rm {} \;
find %{buildroot} -name *.h -exec rm {} \;

# Remove shebangs on modules
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitelibdir}/%{libname}/test/test_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitelibdir}/%{libname}/cmdline_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitelibdir}/%{libname}/cmdline_zunfec.py


%files
%doc README.rst TODO NEWS.txt COPYING.GPL COPYING.TGPPL.html
%{python_sitelibdir}/%{libname}
%{python_sitelibdir}/%{libname}-%{version}-*.egg-info
%{_bindir}/zfec
%{_bindir}/zunfec


%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.22-alt1_4
- initial fc import

